<app-baselayout title="Portfolio">
  <!-- Form Breadcrumb -->
  <breadcrumb [items]='breadcrumb'></breadcrumb>
  <!-- Tab panes -->
  <div class="container">
    <div class="">
      <form [formGroup]="SelectAccountForm">
        <label style="font-size: 18px;
      font-weight: 500;
      display: block;
      margin-bottom: 8px;" for="">Select Account</label>
        <select class="sl custom-select custom-select-lg mb-3" #section formControlName="selectaccount"
          (change)="selectAccount(section.value)" style="padding: 10px 38px;margin: 1px;">
          <option selected>Select Account</option>
          <option [value]="a.customer_tradestation_account_id" *ngFor="let a of accountList">{{a.tag}}</option>

        </select>
        <div class="form-group" style="float: right;">
          <button type="button" class="btn btn-success" style="white-space: nowrap;margin-left: -2%"
            (click)="openChangeRMPopup(contentrm)">Change RM</button>
          <button type="button" class="btn btn-success" style="white-space: nowrap;margin-left: 1%"
            (click)="openDelinkPopup(contentdelink)">Delink
            TradeStation</button>
            <!-- <div class="div" *ngIf="accountList.length != 0"> -->
          <button type="button" class="btn btn-danger" style="white-space: nowrap;margin-left: 1%"
            (click)="openDeactivatePopup(contentdeactivate)">Deactivate
            Customer</button>
            <!-- </div> -->
        </div>

      </form>
    </div>

    <div class="row mb-5 portfoliotab" *ngIf="!linkFromPartner">
      <div class="list-group" style="flex-direction: row;">
        <a routerLink="/customer/portfolio/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Portfolio</a>
        <a routerLink="/customer/investedstock/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Invested StockList</a>
        <a routerLink="/customer/pendingorder/{{customer_Id}}" routerLinkActive="active"
          class="btn  btn-lg btn-block w-100">Pending Orders</a>
      </div>
    </div>
    <div class="row mb-5 portfoliotab" *ngIf="linkFromPartner">
      <div class="list-group" style="flex-direction: row;">
        <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/portfolio/{{customer_Id}}"
          routerLinkActive="active" class="btn  btn-lg btn-block w-100">Portfolio</a>
        <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/investedstock/{{customer_Id}}"
          routerLinkActive="active" class="btn  btn-lg btn-block w-100">Invested StockList</a>
        <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/pendingorder/{{customer_Id}}"
          routerLinkActive="active" class="btn  btn-lg btn-block w-100">Pending Orders</a>
      </div>
    </div>
<div class="row justify-content-center">
  <div class="col-6">
    <div class="card" style="background-color: #196BE5;">
      <div class="card-body text-center">
        <div class="row mb-4 pt-4">
          <div class="col text-white">
            <div class="">Invested</div>
            <div class="" style="font-size: 24px;">{{customer_invested_value | number : '1.2-2'}}</div>
          </div>
          <div class="col text-white">
            <div class="">Current</div>
            <div class="" style="font-size: 24px;">{{customer_current_value | number : '1.2-2'}}
            </div>
          </div>
        </div>
        <div class="row pt-4">
          <div class="col text-white">
            <div class="">Realized P&L</div>
            <div class="" style="font-size: 24px;">{{realized_pl | number : '1.2-2'}}</div>
          </div>
          <div class="col text-white">
            <div class="">Unrealised P&L</div>
            <div class="" style="font-size: 24px;">{{unrealised_pl | number : '1.2-2'}}</div>
          </div>
        </div>
        <div class="row pt-4 pb-4 text-center">
          <div class="col text-white" style="font-size: 24px;">Cash Available : ${{cash_available | number : '1.2-2'}}
          </div>
        </div>
      </div>
    </div>
</div>
  <div class="col-6">
      <div class="card pb-3">
        <div class="card-body">
      <h6>Pie Chart</h6>
      <canvas baseChart [data]="pieChartValues" [labels]="pieChartLabels" [chartType]="pieChartType"
        [options]="pieChartOptions" [plugins]="pieChartPlugins" [legend]="pieChartLegend">
      </canvas>
      </div>
      </div>
  </div>
</div>
  <div class="row">
    <div class="col-12">
      <div class="mt-5">
        <div class="card">
        <div class="card-body">
        <h6>Line Chart</h6>
        <canvas baseChart width="100%" [datasets]="lineChartData" [labels]="lineChartLabels" [options]="pieChartOptions"
          [colors]="lineChartColors" [legend]="lineChartLegend" [chartType]="lineChartType" [plugins]="lineChartPlugins">
        </canvas>
      </div>
      </div>
      </div>
    </div>
  </div>


    <ng-template #contentdelink let-modal>
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Confirm Delink</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure want to delink ?</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="confirmdelink(contentdelink)">Yes</button>
        <button type="button" class="btn btn-danger" (click)="closedelinkmodal(contentdelink)">Cancel</button>
      </div>
    </ng-template>

    <ng-template #contentrm let-modal>
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Change RM</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body text-center">
        <select class="sl custom-select custom-select-lg mb-3" style="padding: 10px 38px;margin: 1px;"
          [(ngModel)]="rmobj.id">
          <option selected value="0">Select RM</option>
          <option [value]="a.rm_master_id" *ngFor="let a of rmlist">{{a.rm_name}}</option>

        </select>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="confirmrm(contentrm)">Yes</button>
        <button type="button" class="btn btn-danger" (click)="closedelinkmodal(contentrm)">Cancel</button>
      </div>
    </ng-template>

    <ng-template #contentdeactivate let-modal>
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Confirm Deactivate</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure want to deactivate ?</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="confirmdeactivate(contentdeactivate)">Yes</button>
        <button type="button" class="btn btn-danger" (click)="closedeactivatemodal(contentdeactivate)">Cancel</button>
      </div>
    </ng-template>
  </div>
</app-baselayout>